Get Facebook event

Get a Facebook event by URL or event id.

GET/v1/facebook/events/details
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
2
eventIdstringquery

Facebook event id when you have it instead of a full URL.

min 1 chars · max 256 chars

urlstringquery

Public Facebook event URL.

min 1 chars · max 4096 chars

Response fields
67

Endpoint-specific response payload.

datalookupStatus
string

Whether the event could be resolved for this request.

one of: found, not_found

Event details when found.

dataeventplatform
string

Social platform for this event.

one of: facebook

dataeventeventId
string

Facebook event identifier.

min 1 chars

dataeventurl
string

Canonical public URL for this event.

min 1 chars

dataeventname
string

Event title.

min 1 chars

dataeventcoverPhotoUrl
stringnullable

Cover image URL when available.

dataeventisOnline
boolean

Whether the event is online.

dataeventisPast
boolean

Whether the event has already ended.

dataeventkind
stringnullable

Event visibility kind when available (for example public or private).

dataeventdayTimeSentence
stringnullable

Human-readable date and time sentence when available.

dataeventstartAt
stringnullable

Event start time in ISO 8601 when available.

dataeventdescription
stringnullable

Event description when available.

dataeventcategory
stringnullable

Primary event category when available.

Additional event categories when available.

dataeventcategories[]
stringoptional

min 1 chars

dataeventprivacy
stringnullable

Privacy label when available.

dataeventisCanceled
boolean

Whether the event is canceled.

dataeventhostContextText
stringnullable

Host attribution text when available.

dataeventrsvpStyle
stringnullable

RSVP style when available (for example public).

Schedule details when found.

dataschedulestartAt
stringnullable

Event start time in ISO 8601 when available.

datascheduleendAt
stringnullable

Event end time in ISO 8601 when available.

datascheduletimeText
stringnullable

Raw time text when available.

datascheduleduration
stringnullable

Duration label when available.

datascheduledayTimeSentence
stringnullable

Human-readable date and time sentence when available.

dataschedulestartTimeFormatted
stringnullable

Short formatted start date when available.

Location details when found.

datalocationname
stringnullable

Location name when available.

datalocationaddress
stringnullable

Street or locality address when available.

datalocationcity
stringnullable

City label when available.

datalocationcityId
stringnullable

City identifier when available.

datalocationlatitude
numbernullable

Latitude when available.

datalocationlongitude
numbernullable

Longitude when available.

Structured place when available.

datalocationplaceid
stringnullable

Place identifier when available.

datalocationplacename
stringnullable

Place display name when available.

Attendance details when found.

dataattendanceinterestedCount
integernullable

Interested count when available.

≥ 0

dataattendancegoingCount
integernullable

Going count when available.

≥ 0

dataattendanceattendanceCount
integernullable

Combined attendance count when available.

≥ 0

dataattendancecanViewMembers
booleannullable

Whether guest lists are publicly viewable.

Ticketing details when available.

dataticketsprice
stringnullable

Ticket price label when available.

dataticketsurl
stringnullable

Ticket purchase URL when available.

dataticketssource
stringnullable

Ticket source when available.

dataticketsprovider
stringnullable

Ticket provider when available.

Event hosts.

datahosts[]id
stringnullable

Host profile or Page identifier.

datahosts[]name
stringnullable

Host display name.

datahosts[]type
stringnullable

Host type when available (for example user or page).

datahosts[]url
stringnullable

Host profile URL when available.

datahosts[]isVerified
booleannullable

Whether the host is verified.

datahosts[]profilePictureUrl
stringnullable

Host profile picture URL when available.

Event creator when available.

datacreatorid
stringnullable

Host profile or Page identifier.

datacreatorname
stringnullable

Host display name.

datacreatortype
stringnullable

Host type when available (for example user or page).

datacreatorurl
stringnullable

Host profile URL when available.

datacreatorisVerified
booleannullable

Whether the host is verified.

datacreatorprofilePictureUrl
stringnullable

Host profile picture URL when available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

metacached
booleanoptional

True when served from shared response cache. Credits still apply (full endpoint price); Age header may be present.

Code example

curl "https://api.socialfetch.dev/v1/facebook/events/details?eventId=2219404332228026" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Event details.